{% extends "index.html" %}
{% load static %}

{% block content %}
    {% if user.is_authenticated %}
    <h3>Students {{ name }}</h3>
    <table class="table table-dark table-striped">
        <thead style="align-self: center">
        <tr>
            <th scope="col">Avatar</th>
{#            <th scope="col">#id</th>#}
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
            <th scope="col">Email</th>
            <th scope="col">Birth date</th>
            <th scope="col">Age</th>
            <th scope="col">Grade</th>
            <th scope="col">Edit</th>
            <th scope="col">Delete</th>
        </tr>
        </thead>
        <tbody class="table-group-divider">
        {% for student in students %}
            <tr>
                <td> <img src="../media/{{ student.avatar }}" alt="No image." height="50" width="50"></td>
{#                <td>{{ student.pk }}</td>#}
                <td>{{ student.first_name }}</td>
                <td>{{ student.last_name }}</td>
                <td>{{ student.email }}</td>
                {% if student.birth_date %}
                    <td>{{ student.birth_date }}</td>
                    <td>{{ student.age }}</td>
                {% else %}
                    <td>Undefined</td>
                    <td>Undefined</td>
                {% endif %}
                <td>{{ student.grade }}</td>
                <td><a type="button" class="btn btn-warning"
                       href="{% url 'students:update_students' student.uuid %}">Edit</a>
                </td>
                <td><a type="button" class="btn btn-danger"
                       href="{% url 'students:delete_students' student.uuid %}">Delete</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endif %}
{% endblock content %}
